*,
*::before,
*::after {
  box-sizing: border-box;
}


:root {
    --menu-height: 0px;
    background-color: var(--wp--preset--color--background);
}

@font-face {
  font-family: 'Roboto';
  /* Ezzel a szabállyal támogatja az összes súlyt és szélességet */
  src: url('../fonts/Roboto-VariableFont_wdth,wght.woff2') format('woff2'); 
  font-weight: 100 900; 
  font-stretch: 75% 125%;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Roboto Condensed';
  src: url('../fonts/RobotoCondensed-VariableFont_wdth,wght.woff2') format('woff2');
  font-weight: 100 900;
  font-stretch: 75% 125%;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Gravitas';
  src: url('../fonts/GravitasOne-Regular.woff2') format('woff2');
  font-weight: 100 900;
  font-stretch: 75% 125%;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Public Sans';
  src: url('../fonts/PublicSans-VariableFont_wght.woff2') format('woff2');
  font-weight: 100 900;
  font-stretch: 75% 125%;
  font-style: normal;
  font-display: swap;
}



/* Mobil szélességi osztályok */
/*
.is_mobile h1 { font-size: var(--h1-mobile); }
.is_mobile h2 { font-size: var(--h2-mobile); }
.is_mobile h3 { font-size: var(--h3-mobile); }
.is_mobile h4 { font-size: var(--h4-mobile); }
.is_mobile h5 { font-size: var(--h5-mobile); }
.is_mobile h6 { font-size: var(--h6-mobile); }
*/

.is-mobile .col-m-1 { width: 8.33%; }    /* 1/12 */
.is-mobile .col-m-2 { width: 16.66%; }   /* 2/12 */
.is-mobile .col-m-3 { width: 25%; }      /* 3/12 */
.is-mobile .col-m-4 { width: 33.33%; }   /* 4/12 */
.is-mobile .col-m-5 { width: 41.66%; }   /* 5/12 */
.is-mobile .col-m-6 { width: 50%; }      /* 6/12 */
.is-mobile .col-m-7 { width: 58.33%; }   /* 7/12 */
.is-mobile .col-m-8 { width: 66.66%; }   /* 8/12 */
.is-mobile .col-m-9 { width: 75%; }      /* 9/12 */
.is-mobile .col-m-10 { width: 83.33%; }  /* 10/12 */
.is-mobile .col-m-11 { width: 91.66%; }  /* 11/12 */
.is-mobile .col-m-12 { width: 100%; }    /* 12/12 */

/*desktop szélességi osztályok*/
/*
.is-desktop h1 { font-size: var(--h1-desktop); }
.is-desktop h2 { font-size: var(--h2-desktop); }
.is-desktop h3 { font-size: var(--h3-desktop); }
.is-desktop h4 { font-size: var(--h4-desktop); }
.is-desktop h5 { font-size: var(--h5-desktop); }
.is-desktop h6 { font-size: var(--h6-desktop); }
*/

.is-desktop .col-1 { width: 8.33%; }
.is-desktop .col-2 { width: 16.66%; }
.is-desktop .col-3 { width: 25%; }
.is-desktop .col-4 { width: 33.33%; }
.is-desktop .col-5 { width: 41.66%; }
.is-desktop .col-6 { width: 50%; }
.is-desktop .col-7 { width: 58.33%; }
.is-desktop .col-8 { width: 66.66%; }
.is-desktop .col-9 { width: 75%; }
.is-desktop .col-10 { width: 83.33%; }
.is-desktop .col-11 { width: 91.66%; }
.is-desktop .col-12 { width: 100%; }

/*betűméretek*/
.is-mobile h1{
  font-size: clamp(
    calc(0.75 * var(--h1-mobile)), 
    calc(0.7 * var(--h1-mobile) + 0.3vw), 
    calc(1.25 * var(--h1-mobile))
  );
}
.is-mobile h2{
  font-size: clamp(
    calc(0.75 * var(--h2-mobile)), 
    calc(var(--h2-mobile) + 0.3vw), 
    calc(1.25 * var(--h2 -mobile))
  );
}
.is-mobile h3{
  font-size: clamp(
    calc(0.75 * var(--h3-mobile)), 
    calc(var(--h3-mobile) + 0.3vw), 
    calc(1.25 * var(--h3-mobile))
  );
}
.is-mobile h4{
  font-size: clamp(
    calc(0.75 * var(--h4-mobile)), 
    calc(var(--h4-mobile) + 0.3vw), 
    calc(1.25 * var(--h4-mobile))
  );
}
.is-mobile h5{
  font-size: clamp(
    calc(0.75 * var(--h5-mobile)), 
    calc(var(--h5-mobile) + 0.3vw), 
    calc(1.25 * var(--h5-mobile))
  );
}
.is-mobile h6{
  font-size: clamp(
    calc(0.75 * var(--h6-mobile)), 
    calc(var(--h6-mobile) + 0.3vw), 
    calc(1.25 * var(--h6-mobile))
  );
}

.is-desktop h1{
  font-size: clamp(
    calc(0.75 * var(--h1-desktop)), 
    calc(0.7 * var(--h1-desktop) + 0.3vw), 
    calc(1.25 * var(--h1-desktop))
  );
}
.is-desktop h2{
  font-size: clamp(
    calc(0.75 * var(--h2-desktop)), 
    calc(0.7 * var(--h2-desktop) + 0.3vw), 
    calc(1.25 * var(--h2-desktop))
  );
}
.is-desktop h3{
  font-size: clamp(
    calc(0.75 * var(--h3-desktop)), 
    calc(0.7 * var(--h3-desktop) + 0.3vw), 
    calc(1.25 * var(--h3-desktop))
  );
}
.is-desktop h4{
  font-size: clamp(
    calc(0.75 * var(--h4-desktop)), 
    calc(0.7 * var(--h4-desktop) + 0.3vw), 
    calc(1.25 * var(--h4-desktop))
  );
}
.is-desktop h5{
  font-size: clamp(
    calc(0.75 * var(--h5-desktop)), 
    calc(0.7 * var(--h5-desktop) + 0.3vw), 
    calc(1.25 * var(--h5-desktop))
  );
} 
.is-desktop h6{
  font-size: clamp(
    calc(0.75 * var(--h6-desktop)), 
    calc(0.7 * var(--h6-desktop) + 0.3vw), 
    calc(1.25 * var(--h6-desktop))
  );
} 